### Scale

Category

Rendering

Function

Scales a specified object.

Syntax

    output = Scale(input, scaling);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | object | none | object to be scaled
`scaling` | scalar or vector | [1 1 1] | scaling factor along x, y, and z axes

Outputs

Name | Type | Description
--- | --- | ---
`output` | object | object marked to be scaled

Functional Details

This module prepares a specified object for scaling along all three axes.

Note: A Transform object containing the specified transformation matrix is inserted at the root of the object. This transform is applied during rendering.

`input` | specifies the object to be scaled.
`scaling` | is the scaling factor. If the parameter value is scalar, the object is scaled by that amount along each axis. The default value is [1 1 1], which produces no change in the input object. Note: Scaling is relative to the origin of world-coordinate space.

Components

All input components are propagated to the output.

Example Visual Program

    AnnotationGlyphs.net

See Also

Plot, Rotate, Transform, Translate

[ OpenDX Home at IBM | OpenDX.org ]